{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}
{% endblock %}

{% block title %}Edit News{% endblock %}
{% block news_active %}active{% endblock %}
{% block parent_news_a_active %}active{% endblock %}
{% block parent_news_i_active %}active{% endblock %}

{% block content %}
    <div class="col-lg-12">
         <section class="panel panel-content">
            <header class="panel-heading">
                <span>Edit Food</span>
                <span class="tools pull-right">
                    <a class="btn btn-success start" href="{% url 'add_restaurants' %}">
                        <i class="glyphicon glyphicon-plus"></i>
                        <span>Add New</span>
                    </a>
                </span>
            </header>
            <div class="panel-body">
                <form class="form-horizontal" action="" role="form" method="post"
                      enctype="multipart/form-data">
                    {% csrf_token %}

                    <div class="form-group">
                        <label for="restaurant" class="col-lg-2 col-sm-2 control-label">Area<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.area }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="restaurant" class="col-lg-2 col-sm-2 control-label">Station<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.station }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Code<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.code }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Name<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.name }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Name CN</label>
                        <div class="col-lg-10">
                            {{ form_info.name_cn }}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="image_path" class="col-lg-2 col-sm-2 control-label">Image</label>
                        <div class="col-lg-4">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="fileupload-new thumbnail" style="width: 200px; height: 150px;">
                                    {% if restaurants.image_path %}
                                        <img src="{% static 'media/' %}{{ restaurants.image_path }}" alt="" id="image_path"
                                             class="image_path" name="image_path"/>
                                    {% else %}
                                        <img src="{% static 'img/no-image.png' %}" alt="" id="image_path"
                                             class="image_path" name="image_path"/>
                                    {% endif %}
                                </div>
                                <div class="fileupload-preview fileupload-exists thumbnail"
                                     style="max-width: 200px; max-height: 150px; line-height: 20px;"></div>
                                <div>
                                    <span class="btn btn-white btn-file">
                                        <span class="fileupload-new"><i
                                            class="fa fa-paper-clip"></i> Select image</span>
                                        <span class="fileupload-exists"><i class="fa fa-undo"></i> Change</span>
                                        <input name="image_path" type="file" class="default"/>
                                    </span>
                                    <a id="btnRemoveImagePath" href="javascript:void(0)"
                                        class="btn btn-danger fileupload-exists btnRemoveImagePath"
                                        data-dismiss="fileupload"><i class="fa fa-trash"></i> Remove</a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Contact Person</label>
                        <div class="col-lg-10">
                            {{ form_info.contact_person }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Email<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.email }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Phone<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.phone }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Address<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.address }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Address CN</label>
                        <div class="col-lg-10">
                            {{ form_info.address_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Description</label>
                        <div class="col-lg-10">
                            {{ form_info.description }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Description CN</label>
                        <div class="col-lg-10">
                            {{ form_info.description_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Google Map URL</label>
                        <div class="col-lg-10">
                            {{ form_info.google_map_url }}
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-lg-2">

                        </div>
                        <div class="col-lg-10">
                            <div class="checkbox checkbox-primary">
                                <input name="isDelete" id="checkbox-03" class="styled" type="checkbox"
                                       {% if restaurants.is_delete == 0 %}checked{% endif %}/>
                                <label for="checkbox-03">
                                    Active
                                </label>
                            </div>
                        </div>
                    </div>

                    <!--end form content-->
                    <div class="form-group bottom-group">
                         <div class="col-lg-offset-2 col-lg-10">
                            <button type="submit" class="btn btn-success">Update
                            </button>
                            <a type="submit" class="btn btn-default" href="{% url 'restaurants_list' %}">Cancel</a>
                        </div>
                    </div>

                </form>
            </div>
        </section>
    </div>
{% endblock %}

{% block extrafoot %}
    {% load staticfiles %}
{% endblock %}